Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Ellipse Kontur messen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ellipse Kontur messen (957 mal gelesen)
Wyoming
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von Wyoming an!   Senden Sie eine Private Message an Wyoming  Schreiben Sie einen Gästebucheintrag für Wyoming

Beiträge: 1837
Registriert: 02.02.2009

Hauptberuflich:
Intel i7 3770k
16Gb DDR3 PC1600
Quadro 4000
2 X Dell U2410
Win 7 Pro 64
Inventor Pro/Acadm 2015
Space Navigator<P>
Nebenberuflich:
AMD FX-4170
12Gb DDR3 PC1600
Nvidia GTX 650
Dell U2412M
Win 7 Pro 64
Inventor/Acadm 2015
Space Navigator

erstellt am: 19. Jan. 2018 11:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


kont3.JPG

 
Moin 

Stehe ich nur auf dem Schlauch oder kann Acad die Länge der Kontur echt nicht ausgeben? 

gruß Peter   

------------------
MR2OC

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Jan. 2018 12:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

Eine Ellipse (egal ob voll oder als ellyptischer Bogen nur teilweise dargestellt) hat keine Eigenschaft Länge,
weder im DXF noch in der AcriveX-Welt, also lautet die richtige Antwort eindeutig: JA.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 19. Jan. 2018 12:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

so könnte es gehen...
Code:
(if(setq curve(vlax-ename->vla-object(car(entsel))))
  (abs (- (vlax-curve-getdistatpoint
            curve
            (vlax-curve-getclosestpointto
              curve
              (vlax-curve-getStartPoint curve)
            ) ;_ end of vlax-curve-getclosestpointto
          ) ;_ end of vlax-curve-getDistAtPoint
          (vlax-curve-getdistatpoint
            curve
            (vlax-curve-getclosestpointto
              curve
              (vlax-curve-getEndPoint curve)
            ) ;_ end of vlax-curve-getClosestPointTo
          ) ;_ end of vlax-curve-getdistatpoint
      ) ;_ end of -
  )
  )

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 991
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 19. Jan. 2018 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

Hallo,

möglicher Workaround:
Region erstellen von der Region kann im Eigenschaftfenster Fläche und Umfang eingesehen werden.

Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wyoming
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von Wyoming an!   Senden Sie eine Private Message an Wyoming  Schreiben Sie einen Gästebucheintrag für Wyoming

Beiträge: 1837
Registriert: 02.02.2009

Hauptberuflich:
Intel i7 3770k
16Gb DDR3 PC1600
Quadro 4000
2 X Dell U2410
Win 7 Pro 64
Inventor Pro/Acadm 2015
Space Navigator<P>
Nebenberuflich:
AMD FX-4170
12Gb DDR3 PC1600
Nvidia GTX 650
Dell U2412M
Win 7 Pro 64
Inventor/Acadm 2015
Space Navigator

erstellt am: 19. Jan. 2018 19:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


lange.JPG

 
Länge oder Liste funzt 

Danke an Lothar   

------------------
MR2OC

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Jan. 2018 19:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

OK, dann habe ich vorhin geschiehlt und die LISTE-Länge übersehen,
ich hatte aber auch wenig Hoffnung nachdem eine Ellipse diese Eigenschaft
nicht aufzeigt (auch nicht in Liste ausgeworfen wird).

Da ein Ellipsenbogen im Grunde ebenfalls vom Objekttyp Ellipse ist auch auch keine
Eigenschaft Länge in der Eigenschaften-Palette aufzeigt, habe ich beim LISTE-Test
wohl geschludert (Asche auf mein Haupt).

Warum ich überhaupt noch antworte: DANKE Lothar, der Befehl Länge um eine Länge zu ermitteln
ist für Ellipsen ein absoluter Geheimtip! Denn für vollständige Ellipsen wirft nicht einmal LISTE
die Länge aus. DANKE (den 10er gibt es dann irgendwann mal an anderer Stelle)

Also: BEMGEOM<objekt>, FLÄCHE<objekt> oder LÄNGE 
------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

infiel_thomas
Mitglied
Tiefbauplaner


Sehen Sie sich das Profil von infiel_thomas an!   Senden Sie eine Private Message an infiel_thomas  Schreiben Sie einen Gästebucheintrag für infiel_thomas

Beiträge: 140
Registriert: 06.07.2005

Win7 64bit
MAP 3D 2010 SP2
MAP 3D 2014 SP1
QGIS

erstellt am: 22. Jan. 2018 11:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

Bei mir zeigt er mit Liste den Umfang = Länge von Ellipsen an. Mit der Lisp von http://lee-mac.com/totallengthandarea.html wird bei Ellipsen und Teilstücken auch die Länge ermittelt.

------------------
- Ingo -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Jan. 2018 11:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wyoming 10 Unities + Antwort hilfreich

Da siehst du mal wie betriebsblind man (ich) sein kann 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz